% Periodic Function Spectrum Demonstration
%
% FUNSPECT illustrates the spectrum of four given periodic functions.  
% There are no command-line arguments.  The specified  function parameters 
% and sampling parameters are
% A      amplitude
% f      frequeny 
% delay  time delay 
% S      number of samples per period
% M      number of periods to sample 
% The functions are a simple sine wave, the odd square wave, the even 
% triangle wave, and the odd sawtooth wave.  In each case the bandwidth of 
% each wave is limited to less than half of the sampling frequency to 
% prevent aliasing.  In other words, you will be sampling partial Fourier
% sum functions like those seen in FOURCOEF.  The number of samples, S, 
% and the number of periods, M, are rounded to integers to prevent 
% period truncation and spectrum broadening.
% The spectrum calculated by the Discrete Fourier Transform of the samples 
% is shown.  The spectrum type is selected among Amplitude spectrum, Power 
% spectrum, and Complex spectrum.
% 
% See also FOURCOEF, DATASPECT, FIRSTORD, SECONDORD, 
% MULTISYS, SAMPLING, and SIMDAQ.

% by Tim Conover Copyright 2000
