% MAINSWITCH   Opens a window introducing the demonstration programs
% for Theory and Design for Mechanical Measurements.  Press a button to
% activate a program in its simple demonstration mode.  Most of the
% programs also have more advanced modes that can be invoked from the
% command line, in order to incorporate user data into the demonstration.
%
% To view this file in the Matlab help window, select "Help" from the
% "MainSwitch" menu when the MainSwitch program window is active.  For 
% each program there is complete documentation in a file named  
% "aboutprogramname.m"  This file can be displayed in the help window 
% by selecting "Help" from of the "ProgramName" menu.
%
% To change font settings, select "Fonts" from the "MainSwitch" menu. 
% This activates two font settings dialogs, one for axes text and one
% for user interface controls.  New font settings are stored in a file 
% named "fontpref.mat"  The new font settings take full effect for
% the next program started.
%
% The program windows start up in "callback" mode.  This prevents
% accidental modification by typing something like "plot(x,y)" on the
% command line.  If you wish to change an axis, to modify the title
% or add a line of your own for instance, select "visible" from the
% "ProgramName" menu, to make the window accessible from the 
% command line.
%
% Mainswitch checks the Matlab search path to see if its location is
% on the path.  If not, the location is added to the path, but this 
% change is not permanently saved.
% 
% See also FOURCOEF, FUNSPECT, DATASPECT, FIRSTORD, SECONDORD, 
% MULTISYS, SAMPLING, and SIMDAQ.
%
